Package twisted :: Package internet :: Module protocol :: Class FileWrapper

[show private | hide private]
[frames | no frames]

## Class FileWrapper

A wrapper around a file-like object to make it behave as a Transport.

Method Summary
| `__init__(self, file)`
| `getHost(self)`
| `getPeer(self)`
| `handleException(self)`
| `loseConnection(self)`
| ``registerProducer`(self, producer, streaming)` From abstract.FileDescriptor
| `stopConsuming(self)`
| `unregisterProducer(self)`
| `write(self, data)`
| `writeSequence(self, iovec)`

Class Variable Summary
`MetaInterface` | `__implements__`
`int` | `closed`
`int` | `disconnecting`
`NoneType` | `producer`
`int` | `streamingProducer`

Method Details

### registerProducer(self, producer, streaming)

From abstract.FileDescriptor

Class Variable Details

### __implements__

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.ITransport'>

### closed

  Type:
    `int`
  Value:

        0

### disconnecting

  Type:
    `int`
  Value:

        0

### producer

  Type:
    `NoneType`
  Value:

        None

### streamingProducer

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Thu May 8 13:16:28 2003 | http://epydoc.sf.net